Subject: bug#4136: 23.1; delete-pair

From: Juri Linkov <[email-masked]>
Date: Mon, 16 Nov 2020 22:55:35 +0200

>> Why can't the delay be a float?
>
> My mistake was influenced by the lack of the function that
> would check for a positive number (e.g. 'positive-number-p').
> I tried to find such a function, then noticed that 'natnump'
> at least checks for a non-negative number, but I forgot that
> this applies only to integers.

The closest function that I found is:

  (cl-plusp NUMBER)
  Return t if NUMBER is positive.

but I'm not sure why it would be better than using just (> number 0).

> So below is a fixed patch:

Now pushed to master.